# Enum Class QuitStrategy

java.lang.Object
java.lang.Enum<QuitStrategy>
java.awt.desktop.QuitStrategy

All Implemented Interfaces:
  `Serializable, Comparable<QuitStrategy>, Constable`

public enum QuitStrategy extends Enum<QuitStrategy>
The strategy used to shut down the application, if Sudden Termination is not enabled.

Since:
  9
See Also:
  - `Desktop.setQuitHandler(QuitHandler)`
  - `Desktop.setQuitStrategy(QuitStrategy)`
  - `Desktop.enableSuddenTermination()`
  - `Desktop.disableSuddenTermination()`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSE_ALL_WINDOWS`
  Shuts down the application by closing each window from back-to-front.
  `NORMAL_EXIT`
  Shuts down the application by calling `System.exit(0)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QuitStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QuitStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL_EXIT

    public static final QuitStrategy NORMAL_EXIT
    Shuts down the application by calling `System.exit(0)`. This is the default strategy.

  - ### CLOSE_ALL_WINDOWS

    public static final QuitStrategy CLOSE_ALL_WINDOWS
    Shuts down the application by closing each window from back-to-front.

- ## Method Details

  - ### values

    public static QuitStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QuitStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null